## dde-kwin 6.0.2

=== configures/CMakeLists.txt ===
option(USE_KWIN_NO_SCALE "use deepin LD_PRELOAD kwin_no_scale" OFF) # deepin v25 don't need kwin_no_scale

install(
    FILES
    kglobalshortcutsrc
    kwinrc
    kwinrulesrc
    klaunchrc
    kdeglobals
    DESTINATION
    "${CMAKE_INSTALL_SYSCONFDIR}/xdg"
)

file(GLOB KWIN_DCONFIG_ITEMS CONFIGURE_DEPENDS *.json)

install(
    FILES
    ${KWIN_DCONFIG_ITEMS}
    DESTINATION
    "${CMAKE_INSTALL_DATADIR}/dsg/configs/org.kde.kwin"
)

install(
    FILES
    org.kde.kwin.decoration.titlebar.json
    DESTINATION
    "${CMAKE_INSTALL_DATADIR}/dsg/configs/org.kde.kwin.decoration"
)

install(
    FILES
    org.deepin.kwin.json
    DESTINATION
    "${CMAKE_INSTALL_DATADIR}/deepin-log-viewer/deepin-log.conf.d/"
)

if (USE_KWIN_NO_SCALE)
    configure_file(kwin_no_scale.in kwin_no_scale)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kwin_no_scale DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

=== debian/changelog ===
dde-kwin (6.0.2) unstable; urgency=medium

  * feat: set default workspaces name to 2

 -- rewine <luhongxu@deepin.org>  Wed, 16 Apr 2025 18:23:41 +0800

dde-kwin (6.0.1) unstable; urgency=medium

  * Fix shortcuts

 -- rewine <luhongxu@uniontech.com>  Wed, 02 Apr 2025 17:28:58 +0800

dde-kwin (6.0.0) unstable; urgency=medium

  * Port to deepin v25

 -- rewine <luhongxu@uniontech.com>  Mon, 24 Mar 2025 09:57:52 +0800

dde-kwin (5.8.184) unstable; urgency=medium

  * add config for callpu

 -- LiuHeng <liuhenga@uniontech.com>  Fri, 10 Jan 2025 18:28:36 +0800

dde-kwin (5.8.183) unstable; urgency=medium

  * Bug fix:
    + fix: add browser into shadow whitelist
    + fix: flmx-ai shortcuts register failed

 -- huangzeming <huangzeming@uniontech.com>  Tue, 24 Dec 2024 11:34:44 +0800

dde-kwin (5.8.182) unstable; urgency=medium

  * Bug fix:
    + feat: add XWAYLAND_FORCE_SUPPORT_GLAMOR env

 -- yangtian <yangtian@uniontech.com>  Wed, 11 Dec 2024 14:58:00 +0800

dde-kwin (5.8.181) unstable; urgency=medium

  * Bug fix:
    + fix: add interface to perferred cursor show output

 -- huangzhenyan <huangzhenyan@uniontech.com>  Mon, 02 Sep 2024 15:35:39 +0800

dde-kwin (5.8.180) unstable; urgency=medium

  * Bug fix:
    + fix: add edge software cursor item in pgx

 -- dingzhixuan <dingzhixuan@uniontech.com>  Tue, 13 Aug 2024 16:47:39 +0800

dde-kwin (5.8.133) unstable; urgency=medium

  * Bug fix:
    + fix: add drag.json to set dragging with content
    + fix: The issue of ineffective modification of the meta+a shortcut key 
    + fix: kwin upgrade and kglobalshortcutsrc config incompatibility

 -- yangtian <yangtian@uniontech.com>  Wed, 26 Jun 2024 13:38:12 +0800

dde-kwin (5.8.132) unstable; urgency=medium

  * Task:
    + feat: add icbc prohibitscreenshot

 -- huangzeming <huangzeming@uniontech.com>  Wed, 19 Jun 2024 14:00:38 +0800

dde-kwin (5.8.131) unstable; urgency=medium

  * Bug fix:
    + fix: bug fix

 -- zhangyu <zhangyud@uniontech.com>  Thu, 13 Jun 2024 13:59:48 +0800

dde-kwin (5.8.130) unstable; urgency=medium

  * Task:
    + 347143 feat: add virtual terminal switch dconfig configuration
  * Bug fix:
    + fix: add supportDmabufExt for org.kde.kwin.compositing

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 29 May 2024 18:23:48 +0800

dde-kwin (5.8.129) unstable; urgency=medium

  [dingzhixuan]
  * fix: remove dock extend border

 -- dingzhixuan <dingzhixuan@uniontech.com>  Wed, 15 May 2024 15:06:12 +0800

dde-kwin (5.8.28) unstable; urgency=medium

  * fix: add partialUpdate for org.kde.kwin.compositing

 -- huangzeming <huangzeming@uniontech.com>  Wed, 17 Apr 2024 18:10:06 +0800

dde-kwin (5.8.27) unstable; urgency=medium

  * fix: window corner

 -- yangtian <yangtian@uniontech.com>  Wed, 17 Apr 2024 11:05:34 +0800

dde-kwin (5.8.26) unstable; urgency=medium

  * fix: connect compositingEnabledChanged to effectsEnabledChanged

 -- wangboyu <wangboyu@uniontech.com>  Thu, 14 Mar 2024 19:26:02 +0800

dde-kwin (5.8.25) unstable; urgency=medium

  * feat: add readonly defaultTitlebarHeight dconfig

 -- gengzhijie <gengzhijie@uniontech.com>  Tue, 12 Mar 2024 14:18:02 +0800

dde-kwin (5.8.24) unstable; urgency=medium

  * fix: set default log level to warning

 -- huangzeming <huangzeming@uniontech.com>  Fri, 01 Mar 2024 10:40:54 +0800

dde-kwin (5.8.23) unstable; urgency=medium

  * fix: dde-control can't read maximize/unmaximize shortcut

 -- xinbo wang <wangxinbo@uniontech.com>  Thur, 22 Feb 2024 17:16:13 +0800

dde-kwin (5.8.22) unstable; urgency=medium

  * fix: temporarily support the old version switch

 -- wangboyu <wangboyu@uniontech.com>  Sun, 21 Jan 2024 14:14:54 +0800

dde-kwin (5.8.21) unstable; urgency=medium

  * fix: the tips for the dock are located in the upper left corner of the screen.

 -- wangboyu <wangboyu@uniontech.com>  Thu, 11 Jan 2024 17:07:54 +0800

dde-kwin (5.8.20) unstable; urgency=medium

  * feat: config of fadingpopups animation effect

 -- wangboyu <wangboyu@uniontech.com>  Mon, 08 Jan 2024 10:26:54 +0800

dde-kwin (5.8.19) unstable; urgency=medium

  * Bug fix:
    + fix: edit compositing dconfig file
    + fix: num pad can't do view zoom in/out shortcut

 -- huangzeming <huangzeming@uniontech.com>  Fri, 05 Jan 2024 15:42:54 +0800

dde-kwin (5.8.18) unstable; urgency=medium

  * Task:
    + feat: add effect type configuration
  * Bug fix:
    + fix: add maximize/unmaximize window shortcut.

 -- huangzeming <huangzeming@uniontech.com>  Wed, 03 Jan 2024 17:47:49 +0800

dde-kwin (5.8.17) unstable; urgency=medium

  * Task:
    + feat: journal and debug config adaptation

 -- huangzeming <huangzeming@uniontech.com>  Fri, 29 Dec 2023 13:45:17 +0800

dde-kwin (5.8.16) unstable; urgency=medium

  * Bug fix:
    + fix: change Desktops to VirtualDesktops
    + fix: the right-click menu should not be displayed after using the alt+space shortcut key in the launcher window
    + fix: the right-click menu position of all areas of the taskbar is displayed incorrectly
  * Task:
    + feat: add support for switching compositing backend

 -- gengzhijie <gengzhijie@uniontech.com>  Thu, 21 Dec 2023 19:01:23 +0800

dde-kwin (5.8.15) unstable; urgency=medium

  * Bug fix:
    + fix: optimize Sogou input method window rules

 -- wangboyu <wangboyu@uniontech.com>  Mon, 18 Dec 2023 17:08:10 +0800

dde-kwin (5.8.14) unstable; urgency=medium

  * Bug fix:
    + 223787, 220071 fix: remove zone detected

 -- gengzhijie <gengzhijie@uniontech.com>  Fri, 15 Dec 2023 16:28:10 +0800

dde-kwin (5.8.13) unstable; urgency=medium

  * Bug fix:
    + fix: sogou input method flashes

 -- wangyu <wangyu@uniontech.com>  Sat, 09 Dec 2023 17:04:17 +0800

dde-kwin (5.8.12) unstable; urgency=medium

  * Bug fix:
    + 222697 fix: desktop become grey

 -- gengzhijie <gengzhijie@uniontech.com>  Mon, 04 Dec 2023 17:21:17 +0800

dde-kwin (5.8.11) unstable; urgency=medium

  * fix:
    + fix: 224825\217447

 -- zhangyu <zhangyud@uniontech.com>  Fri, 01 Dec 2023 15:31:42 +0800



=== debian/control ===
Source: dde-kwin
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9),
 cmake
Standards-Version: 3.9.8
Homepage: https://github.com/linuxdeepin/dde-kwin

Package: dde-kwin
Architecture: any
Depends: ${misc:Depends},
 deepin-kwin-x11 (>= 4:6.0.0),
 deepin-kwin-wayland (>= 4:6.0.0),
Breaks: deepin-kwin-data (<< 4:6.0.0~),
Description: KWin configures/plugins on the DDE
 Let kwin work well in the Deepin Desktop Environment.

Package: dde-kwin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Developer package of dde-kwin
 Provide dde-kwin plugin implementation basis files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_test:
	:

## dde-kwin 6.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(DDEKWin)

set(PROJECT_NAME "dde-kwin")

if (NOT PROJECT_VERSION)
    set(PROJECT_VERSION "0.0.1")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 0)
endif()

set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_definitions(
    -DPROJECT_NAME=\\"${PROJECT_NAME}\\"
    -DPROJECT_VERSION=\\"${PROJECT_VERSION}\\"
)

option(USE_SCRIPTS "use scripts" ON)

if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "mips64")
    set(CMAKE_CXX_FLAGS "-O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions  -mloongson-ext2 -mloongson-mmi -Wl,--as-needed,-O1 -fno-stack-protector")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE")
    # 1050 security testing,security hardening
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -z relro -z now -z noexecstack -pie")
    set(CMAKE_EXE_LINKER_FLAGS "-pie")
endif()

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

if (KWIN_VERSION)
    message("kwin version: ${KWIN_VERSION}")
    string(REPLACE "." ";" KWIN_VERSION_LIST ${KWIN_VERSION})
    list(APPEND KWIN_VERSION_LIST 0 0 0 0)

    if (NOT KWIN_VER_MAJ)
        list(GET KWIN_VERSION_LIST 0 KWIN_VER_MAJ)
    endif()

    if (NOT KWIN_VER_MIN)
        list(GET KWIN_VERSION_LIST 1 KWIN_VER_MIN)
    endif()

    if (NOT KWIN_VER_PAT)
        list(GET KWIN_VERSION_LIST 2 KWIN_VER_PAT)
    endif()

    if (NOT KWIN_VER_BUI)
        list(GET KWIN_VERSION_LIST 3 KWIN_VER_BUI)
    endif()

    add_definitions(
        -DKWIN_VERSION_STR=\\"${KWIN_VERSION}\\"
        -DKWIN_VERSION_MAJ=${KWIN_VER_MAJ}
        -DKWIN_VERSION_MIN=${KWIN_VER_MIN}
        -DKWIN_VERSION_PAT=${KWIN_VER_PAT}
        -DKWIN_VERSION_BUI=${KWIN_VER_BUI}
    )
endif()

add_subdirectory(configures)

if (USE_SCRIPTS)
  add_subdirectory(scripts)
endif()

=== scripts/CMakeLists.txt ===
install(
    DIRECTORY
    screenedge/runcommandaction
    screenedge/closewindowaction
    ddeshortcuts
    ddelaunchpad
    gtkframe
    DESTINATION
    ${CMAKE_INSTALL_DATADIR}/kwin/scripts
)

=== debian/changelog ===
dde-kwin (6.0.3) unstable; urgency=medium

  * fix(ddelaunchpad): make it work at kf6

 -- rewine <luhongxu@deepin.org>  Wed, 23 Apr 2025 14:29:40 +0800

## dde-kwin 6.0.4

=== debian/changelog ===
dde-kwin (6.0.4) unstable; urgency=medium

  * chore: add dconfig value for compositing level

 -- shining <shining@uniontech.com>  Thu, 04 Dec 2025 14:17:15 +0800

## dde-kwin 6.0.5

=== debian/changelog ===
dde-kwin (6.0.5) unstable; urgency=medium

  * fix: resolve dde-kwin configuration hang

 -- shining <shining@uniontech.com>  Mon, 22 Dec 2025 15:59:09 +0800

## dde-kwin 6.0.6

=== debian/changelog ===
dde-kwin (6.0.6) unstable; urgency=medium

  * chore: change user_type default to 1

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Mon, 5 Jan 2026 15:59:09 +0800

## dde-kwin 6.0.7

=== debian/changelog ===
dde-kwin (6.0.7) unstable; urgency=medium

  * rename deepin-kwin to kwin

 -- guoyao <guoyao@uniontech.com>  Thu, 22 Jan 2026 10:16:52 +0800

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: dde-kwin
 Architecture: any
 Depends: ${misc:Depends},
- deepin-kwin-x11 (>= 4:6.0.0),
- deepin-kwin-wayland (>= 4:6.0.0),
+ kwin-x11 (>= 4:6.1.0),
+ kwin-wayland (>= 4:6.1.0),
 Breaks: deepin-kwin-data (<< 4:6.0.0~),
 Description: KWin configures/plugins on the DDE
  Let kwin work well in the Deepin Desktop Environment.
